Create a new view
curl --request POST \
--url https://api.lunary.ai/v1/views \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "New LLM View",
"data": [
"AND",
{
"id": "models",
"params": {
"models": [
"gpt-4"
]
}
}
],
"icon": "chart",
"type": "llm"
}
'{
"id": "5678efgh",
"name": "New LLM View",
"data": [
"AND",
{
"id": "models",
"params": {
"models": [
"gpt-4"
]
}
}
],
"columns": [],
"icon": "chart",
"type": "llm",
"projectId": "project123",
"ownerId": "user456",
"updatedAt": "2023-04-01T14:30:00Z"
}Views
Create a new view
Creates a new dashboard view with the provided details.
POST
/
v1
/
views
Create a new view
curl --request POST \
--url https://api.lunary.ai/v1/views \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "New LLM View",
"data": [
"AND",
{
"id": "models",
"params": {
"models": [
"gpt-4"
]
}
}
],
"icon": "chart",
"type": "llm"
}
'{
"id": "5678efgh",
"name": "New LLM View",
"data": [
"AND",
{
"id": "models",
"params": {
"models": [
"gpt-4"
]
}
}
],
"columns": [],
"icon": "chart",
"type": "llm",
"projectId": "project123",
"ownerId": "user456",
"updatedAt": "2023-04-01T14:30:00Z"
}Authorizations
Use a project private API key via Authorization: Bearer <key>.
Body
application/json
Example:
"New LLM View"
Example:
[
"AND",
{
"id": "models",
"params": { "models": ["gpt-4"] }
}
]
Available options:
llm, thread, trace Example:
"llm"
Example:
{
"id": "ID",
"content": "Content",
"date": "Date"
}
Example:
"chart"
Response
200 - application/json
Successful response
Example:
"1234abcd"
Example:
"LLM Conversations"
Example:
[
"AND",
{
"id": "models",
"params": { "models": ["gpt-4"] }
}
]
Example:
"chat"
Available options:
llm, thread, trace Example:
"llm"
Example:
"project123"
Example:
"user456"
Example:
"2023-04-01T12:00:00Z"